package com.usky.sas.service.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;

@JsonIgnoreProperties(
        ignoreUnknown = true
)
public class UserParams {
    @ApiModelProperty("事件备注")
    private String status;
    @ApiModelProperty("事件编号")
    private Integer statusCode;
    @ApiModelProperty("终端编号")
    private String handleCode;

    public UserParams() {
    }

    public String getStatus() {
        return this.status;
    }

    public Integer getStatusCode() {
        return this.statusCode;
    }

    public String getHandleCode() {
        return this.handleCode;
    }

    public UserParams setStatus(String status) {
        this.status = status;
        return this;
    }

    public UserParams setStatusCode(Integer statusCode) {
        this.statusCode = statusCode;
        return this;
    }

    public UserParams setHandleCode(String handleCode) {
        this.handleCode = handleCode;
        return this;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof UserParams)) {
            return false;
        } else {
            UserParams other = (UserParams)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$status = this.getStatus();
                Object other$status = other.getStatus();
                if (this$status == null) {
                    if (other$status != null) {
                        return false;
                    }
                } else if (!this$status.equals(other$status)) {
                    return false;
                }

                Object this$statusCode = this.getStatusCode();
                Object other$statusCode = other.getStatusCode();
                if (this$statusCode == null) {
                    if (other$statusCode != null) {
                        return false;
                    }
                } else if (!this$statusCode.equals(other$statusCode)) {
                    return false;
                }

                Object this$handleCode = this.getHandleCode();
                Object other$handleCode = other.getHandleCode();
                if (this$handleCode == null) {
                    if (other$handleCode != null) {
                        return false;
                    }
                } else if (!this$handleCode.equals(other$handleCode)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof UserParams;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $status = this.getStatus();
        result = result * 59 + ($status == null ? 43 : $status.hashCode());
        Object $statusCode = this.getStatusCode();
        result = result * 59 + ($statusCode == null ? 43 : $statusCode.hashCode());
        Object $handleCode = this.getHandleCode();
        result = result * 59 + ($handleCode == null ? 43 : $handleCode.hashCode());
        return result;
    }

    public String toString() {
        return "UserParams(status=" + this.getStatus() + ", statusCode=" + this.getStatusCode() + ", handleCode=" + this.getHandleCode() + ")";
    }
}
